linux-gcp: 5.0.0-1010.10 -proposed tracker

Bug #1833927 reported by Stefan Bader on 2019-06-24
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Connor Kuehl
Prepare-package-meta
Medium
Connor Kuehl
Prepare-package-signed
Medium
Connor Kuehl
Promote-to-proposed
Medium
Andy Whitcroft
Promote-to-security
Medium
Andy Whitcroft
Promote-to-updates
Medium
Andy Whitcroft
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Canonical Security Team
Verification-testing
Medium
Canonical Kernel Team
linux-gcp (Ubuntu)
Undecided
Unassigned
Disco
Medium
Unassigned

Bug Description

This bug will contain status and test results related to a kernel source (or snap) as stated in the title.

For an explanation of the tasks and the associated workflow see:
  https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

-- swm properties --
boot-testing-requested: true
kernel-stable-master-bug: 1833934
phase: Complete
phase-changed: Friday, 28. June 2019 17:05 UTC
proposed-announcement-sent: true
proposed-testing-requested: true
variant: debs

Stefan Bader (smb) on 2019-06-24
tags: added: disco kernel-release-tracking-bug
Changed in linux-gcp (Ubuntu):
status: New → Invalid
Changed in linux-gcp (Ubuntu Disco):
importance: Undecided → Medium
tags: added: kernel-release-tracking-bug-live
description: updated
tags: added: kernel-sru-cycle-2019.05.13-7
Stefan Bader (smb) on 2019-06-24
description: updated
tags: added: kernel-sru-derivative-of-1833934
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
description: updated
description: updated
Connor Kuehl (connork) on 2019-06-24
summary: - linux-gcp: <version to be filled> -proposed tracker
+ linux-gcp: 5.0.0-1010.10 -proposed tracker
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
tags: added: block-proposed-disco
tags: added: block-proposed
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Stefan Bader (smb) wrote :

Re-spin, skipping RT.

description: updated
Stefan Bader (smb) wrote :

Override based on fsprotect (always missing) and glibc unlikely to have different results that the master kernel.

description: updated
tags: removed: block-proposed-disco
tags: removed: block-proposed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-gcp - 5.0.0-1010.10

---------------
linux-gcp (5.0.0-1010.10) disco; urgency=medium

  * linux-gcp: 5.0.0-1010.10 -proposed tracker (LP: #1833927)

  [ Ubuntu: 5.0.0-20.21 ]

  * linux: 5.0.0-20.21 -proposed tracker (LP: #1833934)
  * CVE-2019-11479
    - SAUCE: tcp: add tcp_min_snd_mss sysctl
    - SAUCE: tcp: enforce tcp_min_snd_mss in tcp_mtu_probing()
  * Remote denial of service (resource exhaustion) caused by TCP SACK scoreboard
    manipulation (LP: #1831638) // CVE-2019-11478
    - tcp: refine memory limit test in tcp_fragment()

  [ Ubuntu: 5.0.0-19.20 ]

  * CVE-2019-12817
    - SAUCE: powerpc/mm/64s/hash: Reallocate context ids on fork

 -- Connor Kuehl <email address hidden> Mon, 24 Jun 2019 11:08:54 -0700

Changed in linux-gcp (Ubuntu Disco):
status: New → Fix Released
description: updated
description: updated
description: updated
description: updated
description: updated

All tasks have been completed and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
tags: removed: kernel-release-tracking-bug-live
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-gcp - 5.0.0-1010.10

---------------
linux-gcp (5.0.0-1010.10) disco; urgency=medium

  * linux-gcp: 5.0.0-1010.10 -proposed tracker (LP: #1833927)

  [ Ubuntu: 5.0.0-20.21 ]

  * linux: 5.0.0-20.21 -proposed tracker (LP: #1833934)
  * CVE-2019-11479
    - SAUCE: tcp: add tcp_min_snd_mss sysctl
    - SAUCE: tcp: enforce tcp_min_snd_mss in tcp_mtu_probing()
  * Remote denial of service (resource exhaustion) caused by TCP SACK scoreboard
    manipulation (LP: #1831638) // CVE-2019-11478
    - tcp: refine memory limit test in tcp_fragment()

  [ Ubuntu: 5.0.0-19.20 ]

  * CVE-2019-12817
    - SAUCE: powerpc/mm/64s/hash: Reallocate context ids on fork

 -- Connor Kuehl <email address hidden> Mon, 24 Jun 2019 11:08:54 -0700

Changed in linux-gcp (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers